<?xml version='1.0' encoding='utf-8' standalone='no' ?>
<AS2LintWarnings>
	
<warnings>
	<!-- General warnings for things which might be legal code, but are likely not what the author inteded -->
    <warning id="1100" enabled="true" label="kWarning_AssignmentWithinConditional">Toewijzing binnen voorwaardelijk.</warning>
    <warning id="1112" enabled="true" label="kWarning_BadArrayCast">Mogelijk ongeldige bewerking bij casten van Array.</warning>
    <warning id="3590" enabled="true" label="kWarning_BadBoolAssignment">Er is een niet-Booleaanse waarde gebruikt waar een Booleaanse waarde wordt verwacht.</warning>
    <warning id="3575" enabled="true" label="kWarning_BadDateCast">Ongeldige bewerking bij casten van Date.</warning>
    <warning id="3594" enabled="true" label="kWarning_BadES3TypeMethod">Onbekende methode.</warning>
    <warning id="3592" enabled="true" label="kWarning_BadES3TypeProp">Onbekende eigenschap.</warning>
    <warning id="1098" enabled="true" label="kWarning_BadNaNComparision">Onlogische vergelijking met NaN. Elke vergelijkingsbewerking met NaN levert false op omdat NaN != NaN.</warning>
    <warning id="1102" enabled="true" label="kWarning_BadNullAssignment">Onmogelijke toewijzing naar null.</warning>
    <warning id="1096" enabled="true" label="kWarning_BadNullComparision">Onlogische vergelijking met null.</warning>
    <warning id="1012" enabled="true" label="kWarning_BadUndefinedComparision">Onlogische vergelijking met undefined. Alleen variabelen zonder type (of variabelen van type *) kunnen ongedefinieerd zijn.</warning>
    <warning id="3583" enabled="true" label="kWarning_DuplicateArgumentNames">Meerdere argumenten hebben dezelfde naam.</warning>
    <warning id="3596" enabled="true" label="kWarning_DuplicateVariableDef">Dubbele variabeledefinitie.</warning>
    <warning id="1092" enabled="true" label="kWarning_NegativeUintLiteral">Negatieve waarde wordt een grote positieve waarde wanneer toegewezen aan een gegevenstype uint.</warning>
    <warning id="3553" enabled="true" label="kWarning_UnlikelyFunctionValue">Mogelijk ontbreken ronde haakjes.</warning>

    <!-- Coding style preference warnings. Use these warnings if you want to be reminded to always use type declarations, acess/namespace attributes, etc. -->
    <warning id="1008" enabled="false" label="kWarning_NoTypeDecl">Typedeclaratie ontbreekt.</warning>
    <warning id="1084" enabled="false" label="kWarning_MissingNamespaceDecl">Naamruimtedeclaratie ontbreekt (variabele is bijvoorbeeld niet als public, private, enzovoort, gedefinieerd).</warning>
    <warning id="1110" enabled="true" label="kWarning_ConstNotInitialized">Constante is niet geïnitialiseerd.</warning>
    <warning id="1114" enabled="false" label="kWarning_NoExplicitSuperCallInConstructor">De instructie super() is niet binnen de constructor aangeroepen.</warning>
    <warning id="1104" enabled="false" label="kWarning_NoConstructor">Constructor ontbreekt.</warning>
    
    <!-- Warnings to aid migrating code from AS2 to AS3 -->
    <warning id="1090" enabled="true" label="kWarning_DepricatedEventHandlerError">EventHandler is niet als een listener toegevoegd.</warning>
    <warning id="1060" enabled="true" label="kWarning_DepricatedFunctionError">Niet-ondersteunde ActionScript 2.0-functie.</warning>
    <warning id="1058" enabled="true" label="kWarning_DepricatedPropertyError">Niet-ondersteunde ActionScript 2.0-eigenschap.</warning>
    <warning id="1044" enabled="false" label="kWarning_ArrayToStringChanges">Indeling Array.toString() is gewijzigd.</warning>
    <warning id="1034" enabled="false" label="kWarning_BooleanConstructorWithNoArgs">Boolean() zonder argumenten retourneert false in ActionScript 3.0. Boolean() retourneerde undefined in ActionScript 2.0.</warning>
    <warning id="1066" enabled="true" label="kWarning_ChangesInResolve">__resolve wordt niet meer ondersteund.</warning>
    <warning id="1072" enabled="true" label="kWarning_ClassIsSealed">Klasse is verzegeld. Er kunnen geen leden dynamisch aan worden toegevoegd.</warning>
    <warning id="1030" enabled="false" label="kWarning_ConstructorReturnsValue">De functie die wordt gebruikt in nieuwe expressie retourneert een waarde. Het resultaat is hetgeen de functie retourneert, niet een nieuwe instantie van die functie.</warning>
    <warning id="1086" enabled="false" label="kWarning_ForVarInChanges">ActionScript 3.0 voert in willekeurige volgorde een herhaling uit over de eigenschappen van een object binnen een instructie 'for x in doel'.</warning>
    <warning id="3555" enabled="true" label="kWarning_InstanceOfChanges">Gebruik van de operator instanceof.</warning>
    <warning id="1070" enabled="true" label="kWarning_LevelNotSupported">_level wordt niet meer ondersteund. Raadpleeg het pakket flash.display voor meer informatie.</warning>
    <warning id="1038" enabled="false" label="kWarning_NumberFromStringChanges">In ActionScript 3.0 wordt witruimte genegeerd en retourneert '' 0. In ActionScript 2.0 retourneert Number() NaN wanneer de parameter '' is of witruimte bevat.</warning>
    <warning id="1082" enabled="false" label="kWarning_ScopingChangeInThis">Bereikwijziging voor het trefwoord this. Klassemethoden die uit een instantie van een klasse zijn geëxtraheerd, verwijzen altijd terug naar die instantie. In ActionScript 2.0 wordt dit dynamisch opgezocht op basis van waar de methode is aangeroepen.</warning>
    <warning id="3551" enabled="true" label="kWarning_SlowTextFieldAddition">Inefficiënt gebruik van += op een TextField.</warning>
    <warning id="3573" enabled="false" label="kWarning_XML_ClassHasChanged">Mogelijk gebruik van de ActionScript 2.0-klasse XML.</warning>
</warnings>

</AS2LintWarnings>
